import { RouteRecordRaw, createRouter, createWebHistory } from 'vue-router';

const pages = import.meta.glob('./page/*.vue') as Record<string, any>;
// console.log(pages);
// console.log(
//     Object.entries(pages).map(([path, component]) => ({
//         path: `/${path.split('/').pop()!.split('.').shift()}`,
//         component: component,
//     })),
// );
const routes: RouteRecordRaw[] = [
    {
        path: '/',
        redirect: '/PageHome',
    },
    ...Object.entries(pages).map(([path, component]) => ({
        path: `/${path.split('/').pop()!.split('.').shift()}`,
        component: component,
    })),
];

const router = createRouter({ history: createWebHistory(), routes });

export default router;
